%define oname Terminal
%define iconname %{oname}.png
%define url_ver %(echo %{version} | cut -c 1-3)

Summary:	X terminal emulator for Xfce desktop environment
Summary(de):	X Termianlemulator für Xfce
Name:		terminal
Version:	0.4.8
Release:	%mkrel 4
Group:		Terminals
License:	GPLv2+
URL:		http://www.xfce.org
Source0:	http://archive.xfce.org/src/apps/%{name}/%{url_ver}/%{oname}-%{version}.tar.xz
BuildRequires:	vte-devel >= 0.17.1
BuildRequires:	perl(XML::Parser)
BuildRequires:	%{_lib}exo-devel
BuildRequires:	imagemagick
BuildRequires:	desktop-file-utils
BuildRequires:	%{_lib}startup-notification-1-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	intltool
Requires:	vte >= 0.11.0
Requires:	exo >= 0.8
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildrrot
Obsoletes: 	%{name} < %version
Requires:	glibc >= 2.12.1
Requires:	libstdc++6 >= 4.5.2


%description
Terminal is a modern, lightweight, and low memory cost terminal
emulator with tabs and multiple windows for the Xfce desktop
environment. It offers full-customization for the key bindings,
the aspect, the colors, and more.

%description -l de
Terminal ist ein moderner, leichgewichtiger und wenig Speicher
verbrauchender Terminalemulator mit Tabs und mehreren Fenstern für 
Xfce. Sie können die Tastenbindungen, die Farbe und mehr an Ihre
persönlichen Bedürfnisse anpassen.

%package doc
Summary: 	Documentation for %{name}
Summary(de):	Dokumentation für %{name}
Group: 		Books/Computer books

%description doc
Documentation for %{name}

%description doc -l de
Dokumentation für %{name}

%prep
%setup -q -n %{oname}-%{version}


%build
%configure2_5x \
	--disable-static \
	--enable-dbus
%make


%install
rm -rf %{buildroot}
%makeinstall_std

# don't ship .la
find %{buildroot} -name '*.la' -exec rm -f {} \;

# don't ship .a
find %{buildroot} -name '*.a' -exec rm -f {} \;

desktop-file-install --vendor=""\
    --add-category="GTK" \
    --add-category="X-MandrivaLinux-System-Terminals" \
    --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%pre
if [ $1 -gt 1 ] ; then
    if [ -d %{_docdir}/Terminal ]; then
	rm -rf %{_docdir}/Terminal
    fi
fi


%post
%{update_menus}
%update_icon_cache hicolor


%postun
%{clean_menus}
%clean_icon_cache hicolor

%clean
rm -rf  %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/gnome-control-center/default-apps/Terminal-default-apps.xml
%{_iconsdir}/hicolor/*/apps/*
%{_iconsdir}/hicolor/*/stock/navigation/*.png
%{_datadir}/pixmaps/*
%{_datadir}/locale/*
%{_datadir}/Terminal/Terminal-toolbars.ui
%{_datadir}/Terminal/Terminal.glade
%{_datadir}/applications/Terminal.desktop


%files doc
%defattr(-,root,root)
%doc README NEWS AUTHORS HACKING THANKS
%{_datadir}/doc
%{_datadir}/man

%changelog
* Mon Oct 15 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 0.4.8-4pclos2012
- deleted misplaced remove of .la/.a files in postun section

* Thu Sep 20 2012 Neal <nealbrks0 at gmail dot com> 0.4.8-3pclos2012
- 64bit

* Fri Aug 31 2012 Neal <nealbrks0 at gmail dot com> 0.4.8-3pclos2012
- process

* Tue Aug 29 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 0.4.8-3pclos2012
- rebuild against new exo and libxfce4util
- added german summaries and descriptions
- fixed english summary of the doc package ("Documentation for openbox"??? -> "Documentation for %{name}")
- set exo to 0.8

* Wed Jan 18 2012 Neal <nealbrks0 at gmail.com> 0.4.8.-2pclos2012
- set exo require to 0.7

* Sun Jan 01 2012 Sproggy <desproggster at gmail.com> 0.4.8.-2pclos2012
- rebuilt

* Thu Jul 07 2011 Texstar <texstar at gmail.com> 0.4.8-1pclos2011
- 0.4.8

* Thu Mar 03 2011 Texstar <texstar at gmail.com> 0.4.6-2pclos2011
- remove patch2 to fix scroll bar

* Mon Feb 28 2011 Sproggy <desproggster@gmail.com> 0.4.6-1pclos2010
- update 0.4.6

* Wed Jan 26 2011 Sproggy <desproggster@gmail.com> 0.4.5-2pclos2010
- updated for xfce4.8

* Sun Nov 07 2010 Sproggy <desproggster@gmail.com> 0.4.5-1pclos2010
- rebuild for Xfce4.8pre1
